/**
 * Author: Sergey Kopeliovich (Burunduk30@gmail.com)
 * Date: 2014.04.06
 */

#include <cstdio>
#include <set>

#include "random.h"

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)

typedef pair <int, int> pii;

const int C = 3e4;

int main( int argc, char *argv[] )
{
  if (argc < 3)
  {
    puts("Usage: <seed for random> <n>");
    puts("  [seed == 0] => Time()");
    return 1;
  }

  int seed = atoi(argv[1]);
  int n = atoi(argv[2]);

  if (seed == 0)
    seed = Time(), fprintf(stderr, "seed = %d\n", seed);
  initrand(seed);

  set <pii> s;
  printf("%d\n", n);
  forn(i, n)
  {
    int x, y;
    do 
      x = R(0, C), y = R(0, C);
    while (!s.insert(pii(x, y)).second);
    printf("%d %d\n", x, y);
  }
  return 0;
}
